Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 663976 - dev-qt/qtdeclarative-5.11.1: qmlcachegen crashes with unaligned accesses
Summary: dev-qt/qtdeclarative-5.11.1: qmlcachegen crashes with unaligned accesses
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: Sparc64 Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://codereview.qt-project.org/#/c...
Whiteboard:
Keywords:
Depends on:
Blocks: unaligned-access
  Show dependency tree
 
Reported: 2018-08-18 15:45 UTC by Rolf Eike Beer
Modified: 2018-10-17 19:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2018-08-18 15:45:29 UTC
When building qtquickcontrols or anything else that calls qmlcachegen:

/usr/lib/qt5/bin/qmlcachegen -o ../../qml/QtQuick/Extras/Dial.qmlc Dial.qml
make[2]: *** [Makefile:489: ../../qml/QtQuick/Extras/Dial.qmlc] Bus error

I will look into this and report it upstream next week.
Comment 1 Rolf Eike Beer 2018-08-25 07:34:29 UTC
I have discussed this with the upstream maintainer. The way we will go is to make sure things are properly aligned when written, i.e. introduce some padding if necessary. This will not happen in 5.11 anymore, because that branch will receive little attention.

My linked patch just ensures that things are written with memcpy() which can live with the missing alignment. I'm not sure what happens on the other side, i.e. when these things are read back and used. I'm almost certain that this will suffer from the same problems.

So, either a minimal version of my initial patch is used so things can be written, and we just wait what happens when things are used (the autotests would be handy), or qtdeclarative and every dependency needs to be masked on sparc.
Comment 2 Rolf Eike Beer 2018-09-15 08:09:35 UTC
Qt 5.12 should be fine, at least I can now build qtquickcontrols when using the current version. $url points to the patch that fixed the remaining issues I have seen so far.

I don't think Qt 5.11.* can become stable on sparc.